org.apache.lucene.luke.util

## Class LoggerFactory

- java.lang.Object
- - org.apache.lucene.luke.util.LoggerFactory

-     public class LoggerFactory
      extends Object

  Logger factory. This programmatically configurates logger context (Appenders etc.)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggerFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.logging.log4j.Logger` | `getLogger(Class<?> clazz)`
    `static void` | `initGuiLogging(String logFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggerFactory

          public LoggerFactory()

  - ### Method Detail

    - #### initGuiLogging

          public static void initGuiLogging(String logFile)

    - #### getLogger

          public static org.apache.logging.log4j.Logger getLogger(Class<?> clazz)

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.